ElectroNeek Documentation

Diese Seite wurde noch nicht ins Deutsche übersetzt und wird daher auf Englisch angezeigt.

Get info of a Bot Runner

This returns detailed information on a specific Bot Runner including all the workflows where the Bot Runner is assigned.


gethttps://api.{region}.electroneek.com/v1/orchestrator/bot-runner/{id}

Mögliche Werte für {region}: na, cis, apac, latam, emea

Ausprobieren

Wird direkt von Ihrem Browser an die API gesendet – nichts läuft über diese Website, und das API-Token bleibt nur in diesem Tab.
Pfadparameter
Füllen Sie id aus, um diese Anfrage zu senden.
cURL
curl --request GET \
  --url 'https://api.na.electroneek.com/v1/orchestrator/bot-runner/{id}'

Authentifizierung

Verwenden Sie ein API-Token von der Seite Orchestrator → Integrationen. Senden Sie es als Bearer-Token: Authorization: Bearer <token>.

Pfadparameter

NameTypErforderlichBeschreibung
idstringjaBot Runner ID

Antwort

200Success
Response-Body
object
iduuiderforderlich

ID of the Bot Runner

namestringerforderlich

Name of the Bot Runner

statusstring (ready, in_progress, offline)erforderlich

Status of the Bot Runner

versionstringerforderlich

Version of the Bot Runner

login_asobjecterforderlich

Organization's data to which the API key belongs. Starting from the version 7.0, we replaced the login-password connection of Orchestrator to Bot Runner with tokens

object
typestring
valuestring
host_namestringerforderlich

Name of the computer where Bot Runner is installed.

status_sincedate-time
assigned_workflowsarray of objects
object
iduuiderforderlich
namestringerforderlich
descriptionstringerforderlich
Aktualisiert